Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QHostAddress

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QHostAddress class reference

### Public Functions

- Q_UINT32 ip4Addr () const
- bool isIPv4Address () const
- bool isIPv6Address () const
- bool isIp4Addr () const

## Member Function Documentation

### Q_UINT32 QHostAddress::ip4Addr () const

Use toIPv4Address() instead.

### bool QHostAddress::isIPv4Address () const

Use protocol() instead.

### bool QHostAddress::isIPv6Address () const

Use protocol() instead.

### bool QHostAddress::isIp4Addr () const

Use protocol() instead.